Britive platform release 2026.09.02 is now live in production.

Get Secret Verification History for Time ID

Prev Next
Get
/api/v1/secretmanager/vault/{vaultId}/secrets/{secretId}/verify/history/{timeId}

Returns verification history for a specific Time ID.

Security
HTTP
Type bearer
Path parameters
vaultId
stringRequired

Vault identifier

Examplea6ed82f6-32b5-46d8-a3a3-c36cc574abd9
secretId
stringRequired

Secret identifier

Examplesecret-123
timeId
integer (int64) Required

Time ID of the verification history entry

Example1
Responses
200

Verification history entry

object
timeId
integer (int64)
verificationStartedAt
string
vaultId
string
secretId
string
secretNature
string
verificationCompletedAt
string
verifiedBy
string
verificationType
string
verificationStatus
string
summary
string
404

Verification history entry not found